#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	A library for Microsoft compression formats
Summary(pl.UTF-8):	Biblioteka do formatów kompresji używanych przez Microsoft
Name:		libmspack
Version:	0.5alpha
Release:	2
License:	LGPL v2.1
Group:		Libraries
Source0:	http://www.cabextract.org.uk/libmspack/%{name}-%{version}.tar.gz
# Source0-md5:	3aa3f6b9ef101463270c085478fda1da
URL:		http://www.cabextract.org.uk/libmspack/
BuildRequires:	gcc >= 5:3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
The purpose of libmspack is to provide compressors and decompressors,
archivers and dearchivers for Microsoft compression formats: CAB, CHM,
HLP, KWAJ, LIT, SZDD and WIM. It is also designed to be easily
embeddable, stable, robust and resource-efficient.

%description -l pl.UTF-8
Celem libmspack jest dostarczenie kompresorów i dekompresorów,
archiwizerów i dearchiwizerów dla formatów kompresji używanych przez
Microsoft: CAB, CHM, HLP, KWAJ, LIT, SZDD i WIM. Ponadto biblioteka
została zaprojektowana tak, by być łatwo osadzalna, stabilna, mocna i
wydajna pod względem zasobów.

%package devel
Summary:	Header files for libmspack library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmspack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmspack library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmspack.

%package static
Summary:	Static libmspack library
Summary(pl.UTF-8):	Statyczna biblioteka libmspack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmspack library.

%description static -l pl.UTF-8
Statyczna biblioteka libmspack.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libmspack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmspack.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libmspack.so
%{_libdir}/libmspack.la
%{_includedir}/mspack.h
%{_pkgconfigdir}/libmspack.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmspack.a
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmspack.git;a=log;h=master

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> 4df33df
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 69727c6
- updated to 0.5alpha

* Mon Jun 17 2013 Lukasz Glebicki <blekot@pld-linux.org> c352996
- up to 0.4alpha

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> b650023
- updated to 0.3

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 41db465
- LGPL version

* Sat Aug 14 2010 zbyniu <zbyniu@pld-linux.org> 0d709c3
- added ghost so.0 and .pc

* Sat Aug 14 2010 zbyniu <zbyniu@pld-linux.org> 8ae3529
- up to 0.2alpha

* Tue Mar 09 2010 Krzysztof Krakowiak <evil@pld-linux.org> 1a12cc4
- url changed from http://www.kyz.uklinux.net/ to http://www.cabextract.org.uk/

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 18a496f
- %undefine __cxx - to prevent configure from looking for c++ compiler

* Sun Jan 27 2008 Jakub Bogusz <qboosh@pld-linux.org> b4f8c5c
- updated Source URL

* Sat Dec 29 2007 Elan Ruusamäe <glen@pld-linux.org> f2f2fd2
- rel 2

* Wed Aug 29 2007 witekfl <witekfl@pld-linux.org> 5e30f1c
- added bcond_without static_libs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 522326c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5878fbb
- converted to UTF-8

* Wed Sep 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 5d26413
- updated to 0.0.20060920alpha

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 94bceb8
- gcc epoch

* Thu Oct 13 2005 Jakub Bogusz <qboosh@pld-linux.org> cb00c88
- BR: sed 4

* Thu Oct 13 2005 Jakub Bogusz <qboosh@pld-linux.org> ee047b5
- don't use "this" as parameter name in mspack.h (broke C++ compilation)
- release 2

* Thu Oct 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 4b07437
- new

